Bug 980612 - storage test ignores choice of disk to test
storage test ignores choice of disk to test
Status: CLOSED WONTFIX
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
1.7.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Greg Nichols
Pavel Stehlik
:
Depends On: 980609
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 16:48 EDT by Greg Nichols
Modified: 2015-07-13 09:57 EDT (History)
5 users (show)

See Also:
Fixed In Version: hwcert-client-1.7.0-41
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 980609
Environment:
Last Closed: 2015-07-13 09:57:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
storage test patch fixing logic around choice of disk to test (484 bytes, patch)
2013-07-02 17:12 EDT, Greg Nichols
no flags Details | Diff

  None (edit)
Description Greg Nichols 2013-07-02 16:48:23 EDT
+++ This bug was initially created as a clone of Bug #980609 +++

Description of problem:

When the storage test is run interactively, and the user is allowed to choose between multiple disks to test, the users choice is ignored.

Example:

Host bus adapter host0 has storage devices sda, sda1, sda2, sda3
Which disk would you like to test:  (sda|sda1|sda2|sda3|all) sda1
[...]
Found sda in /proc/partitions.
Error: sda is currently in use by LVM.
It cannot be tested. You may need to reinstall.
FAIL


Version-Release number of selected component (if applicable):

hwcert-client version 1.6.4, release 56
Comment 1 Greg Nichols 2013-07-02 17:12:12 EDT
Created attachment 767981 [details]
storage test patch fixing logic around choice of disk to test
Comment 4 Petr Beňas 2013-10-04 11:28:46 EDT
Verified in hwcert-client-1.7.0-48.el7.noarch.
Comment 8 brose 2015-07-13 09:57:10 EDT
Closing as hwcert-client is obsolete.
Please use redhat-certification-hardware instead.

Note You need to log in before you can comment on or make changes to this bug.